[WebAssembly] SIMD neg
ClosedPublic

Authored by tlively on Sep 12 2018, 6:34 PM.

Details

Summary

Depends on D52007.

Diff Detail

Repository
rL LLVM
tlively created this revision.Sep 12 2018, 6:34 PM
tlively updated this revision to Diff 165192.Sep 12 2018, 6:43 PM
  • Add encoding tests (and fix encoding)

I think this is dependent on D52007. Fixed it. By the way, the diff looks like it contains D52007's diff too. Could you fix it? You can do relative diff by
arc diff --update D52009 DIVISION_TO_COMPARE

tlively edited the summary of this revision. (Show Details)Sep 13 2018, 12:00 AM
tlively updated this revision to Diff 165205.Sep 13 2018, 12:04 AM
  • Diff from correct revision

Fixed! Sorry about that. It's much more sane now.

aheejin added inline comments.Sep 14 2018, 2:24 PM
lib/Target/WebAssembly/WebAssemblyInstrSIMD.td
157 ↗(On Diff #165205)

Can't this be 0.0 or something like the integer case?

tlively added inline comments.Sep 14 2018, 2:49 PM
lib/Target/WebAssembly/WebAssemblyInstrSIMD.td
157 ↗(On Diff #165205)

No, unfortunately tablegen does not support floating point literals. This is the standard solution used in multiple backends.

aheejin accepted this revision.Sep 14 2018, 3:11 PM
This revision is now accepted and ready to land.Sep 14 2018, 3:11 PM
Closed by commit rL342296: [WebAssembly] SIMD neg (authored by tlively, committed by ). · Explain WhySep 14 2018, 3:36 PM
This revision was automatically updated to reflect the committed changes.